{
  "inbounds": [
    {
      "protocol": "trojan",
      "listen": "0.0.0.0",
      "port": 443,
      "settings": {
        "clients": [
          {
            "password": "V2ryStr0ngP0ss",
            "email": "lovemm@107421.xyz"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "tls",
        "tlsSettings": {
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "certificates": [
            {
              "certificateFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/xx.s4.cc.hh.107421.xyz.key"
            }
          ]
        }
      },
      "tag": "Seoul-amd64-01"
    },
    {
      "protocol": "trojan",
      "listen": "0.0.0.0",
      "port": 19999,
      "settings": {
        "clients": [
          {
            "password": "V2ryStr0ngP0ss",
            "email": "lovemm@107421.xyz"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "tls",
        "tlsSettings": {
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "certificates": [
            {
              "certificateFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/xx.s4.cc.hh.107421.xyz.key"
            }
          ]
        }
      },
      "tag": "Seoul-amd64-01->Tokyo-amd64-02"
    },
    {
      "protocol": "trojan",
      "listen": "0.0.0.0",
      "port": 19998,
      "settings": {
        "clients": [
          {
            "password": "V2ryStr0ngP0ss",
            "email": "lovemm@107421.xyz"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "tls",
        "tlsSettings": {
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "certificates": [
            {
              "certificateFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/xx.s4.cc.hh.107421.xyz.key"
            }
          ]
        }
      },
      "tag": "Seoul-amd64-01->Phoenix-amd64-02"
    },
    {
      "protocol": "trojan",
      "listen": "0.0.0.0",
      "port": 19997,
      "settings": {
        "clients": [
          {
            "password": "V2ryStr0ngP0ss",
            "email": "lovemm@107421.xyz"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "tls",
        "tlsSettings": {
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "certificates": [
            {
              "certificateFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/xx.s4.cc.hh.107421.xyz.key"
            }
          ]
        }
      },
      "tag": "Seoul-amd64-01->Osaka-amd64-01"
    }
  ],
  "outbounds": [
    {
      "protocol": "freedom"
    },
    {
      "protocol": "freedom",
      "tag": "Seoul-amd64-01"
    },
    {
      "protocol": "blackhole",
      "tag": "block"
    },
    {
      "tag": "Seoul-amd64-01->Tokyo-amd64-02",
      "protocol": "socks",
      "settings": {
        "servers": [
          {
            "address": "140.238.52.228",
            "port": 1234
          }
        ]
      }
    },
    {
      "tag": "Seoul-amd64-01->Phoenix-amd64-02",
      "protocol": "socks",
      "settings": {
        "servers": [
          {
            "address": "129.146.171.163",
            "port": 1234
          }
        ]
      }
    },
    {
      "tag": "Seoul-amd64-01->London-amd64-01",
      "protocol": "socks",
      "settings": {
        "servers": [
          {
            "address": "141.147.99.91",
            "port": 1234
          }
        ]
      }
    },
    {
      "tag": "Seoul-amd64-01->Osaka-amd64-01",
      "protocol": "socks",
      "settings": {
        "servers": [
          {
            "address": "140.83.84.142",
            "port": 1234
          }
        ]
      }
    }
  ],
  "routing": {
    "domainStrategy": "IPIfNonMatch",
    "rules": [
      {
        "type": "field",
        "inboundTag": [
          "Seoul-amd64-01"
        ],
        "outboundTag": "Seoul-amd64-01"
      },
      {
        "type": "field",
        "inboundTag": [
          "Seoul-amd64-01->Tokyo-amd64-02"
        ],
        "outboundTag": "Seoul-amd64-01->Tokyo-amd64-02"
      },
      {
        "type": "field",
        "inboundTag": [
          "Seoul-amd64-01->Phoenix-amd64-02"
        ],
        "outboundTag": "Seoul-amd64-01->Phoenix-amd64-02"
      },
      {
        "type": "field",
        "inboundTag": [
          "Seoul-amd64-01->London-amd64-01"
        ],
        "outboundTag": "Seoul-amd64-01->London-amd64-01"
      },
      {
        "type": "field",
        "inboundTag": [
          "Seoul-amd64-01->Osaka-amd64-01"
        ],
        "outboundTag": "Seoul-amd64-01->Osaka-amd64-01"
      }
    ]
  }
}